table {
  border-collapse: collapse;
  page-break-inside: avoid;
  &.full-width {
    width: 100%;
  }
  &.table-float {
    float: left;
    width: auto;
  }
  tr {
    th, td {
      padding: 2mm;
      border: 1px solid #000;
      &.empty {
        border-color: transparent #000 transparent transparent;
        text-align: right;
        background: none !important;
        font-size: 15px;
        &:first-child:last-child {
          border: none;
        }
      }
      &.dark {
        background-color: #9b9b9b;
      }
      &.dark-light {
        background-color: #eee;
      }
      &.text-right {
        text-align: right;
      }
    }
    th {
      background-color: #9b9b9b;
      color: #fff;
      &.empty {
        border-color: transparent #000 #000 transparent;
      }
    }
  }
  &.table-borderless {
    tr {
      th, td {
        border: 1px solid transparent;
        background-color: transparent;
      }
      th {
        border-bottom: 1px solid #000 ;
        color: #000;
      }
    }
    tbody {
      th {
        border-color: transparent;
      }
    }
  }
  &.table-bottom-bordered {
    tr {
      th, td {
        border: 1px solid transparent;
        border-bottom: 1px solid #999;
        background-color: transparent;
      }
      th {
        border-bottom: 1px solid;
      }
    }
  }
  &.table-striped {
    tr:nth-child(odd) {
      td {
        background-color: #eee;
      }
    }
  }
  &.table-one-cell {
    td {
      border-width: 2px;
    }
  }
  &.table-checkboxes {
    td {
      padding: 0.8mm;
    }
  }
}
